/*******************************************************************************
 * Copyright (c) 2012-2013 Biomedical Image Group (BIG), EPFL, Switzerland.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Public License v3.0
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/gpl.html
 * 
 * Contributors:
 *     Ricard Delgado-Gonzalo (ricard.delgado@gmail.com)
 *     Nicolas Chenouard (nicolas.chenouard@gmail.com)
 *     Philippe Th&#233;venaz (philippe.thevenaz@epfl.ch)
 *     Emrah Bostan (emrah.bostan@gmail.com)
 *     Ulugbek S. Kamilov (kamilov@gmail.com)
 *     Ramtin Madani (ramtin_madani@yahoo.com)
 *     Masih Nilchian (masih_n85@yahoo.com)
 *     C&#233;dric Vonesch (cedric.vonesch@epfl.ch)
 *     Virginie Uhlmann (virginie.uhlmann@epfl.ch)
 *     Cl&#233;ment Marti (clement.marti@epfl.ch)
 *     Julien Jacquemot (julien.jacquemot@epfl.ch)
 *     Daniel Schmitter (daniel.schmitter@epfl.ch)
 ******************************************************************************/

package plugins.big.bigsnakeutils.shape.priorshapes.shapes;

import plugins.big.bigsnakeutils.icy.snake2D.Snake2DNode;

/**
 * Shape prior rod.
 * 
 * @version October 28, 2014
 * 
 * @author Daniel Schmitter (daniel.schmitter@epfl.ch)
 */

public class Rod extends PriorShape {
	
	public Rod() {
		name_ = new String("Rod");
		minNumberNodes_ = 8;
		coef_ = new Snake2DNode[minNumberNodes_];
		coef_[0] = new Snake2DNode(609.9358240690381, 329.2400504430266);
		coef_[1] = new Snake2DNode(609.5167286774222, 340.77563416599156);
		coef_[2] = new Snake2DNode(575.7152445394883, 341.39743325610976);
		coef_[3] = new Snake2DNode(541.8731506600433, 341.1620987533664);
		coef_[4] = new Snake2DNode(540.6909476202486, 331.27462841873665);
		coef_[5] = new Snake2DNode(542.0442110193865, 319.97473504899733);
		coef_[6] = new Snake2DNode(573.3333324230524, 320.51754334507666);
		coef_[7] = new Snake2DNode(606.4399556105652, 319.7796722747112);
	}

}
