/*******************************************************************************
 * Copyright (c) 2012-2013 Biomedical Image Group (BIG), EPFL, Switzerland.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Public License v3.0
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/gpl.html
 * 
 * Contributors:
 *     Ricard Delgado-Gonzalo (ricard.delgado@gmail.com)
 *     Nicolas Chenouard (nicolas.chenouard@gmail.com)
 *     Philippe Th&#233;venaz (philippe.thevenaz@epfl.ch)
 *     Emrah Bostan (emrah.bostan@gmail.com)
 *     Ulugbek S. Kamilov (kamilov@gmail.com)
 *     Ramtin Madani (ramtin_madani@yahoo.com)
 *     Masih Nilchian (masih_n85@yahoo.com)
 *     C&#233;dric Vonesch (cedric.vonesch@epfl.ch)
 *     Virginie Uhlmann (virginie.uhlmann@epfl.ch)
 *     Cl&#233;ment Marti (clement.marti@epfl.ch)
 *     Julien Jacquemot (julien.jacquemot@epfl.ch)
 ******************************************************************************/
package plugins.big.bigsnakeutils.shape.priorshapes.shapes;

import plugins.big.bigsnakeutils.icy.snake2D.Snake2DNode;

/**
 * Shape prior with taking the shape of a banana.
 * 
 * @version November 13, 2013
 * 
 * @author Ricard Delgado-Gonzalo (ricard.delgado@gmail.com)
 */
public class VirginiePhantom extends PriorShape {

	public VirginiePhantom() {
		name_ = new String("VirginiePhantom");
		minNumberNodes_ = 10;
		coef_ = new Snake2DNode[minNumberNodes_];
		coef_[0] = new Snake2DNode(90.27116327578472, 228.5226352185407);
		coef_[1] = new Snake2DNode(129.205170494825, 109.94381551141728);
		coef_[2] = new Snake2DNode(273.76129598027063, 72.6502875314246);
		coef_[3] = new Snake2DNode(265.0571757766328, 232.1314145055222);
		coef_[4] = new Snake2DNode(373.13291940406003, 203.00243302093315);
		coef_[5] = new Snake2DNode(422.64145373742537, 284.69035216529994);
		coef_[6] = new Snake2DNode(387.54508559383845, 381.48954013511644);
		coef_[7] = new Snake2DNode(291.5487674038344, 416.2358223831764);
		coef_[8] = new Snake2DNode(188.55663634974098, 361.11902172740747);
		coef_[9] = new Snake2DNode(231.33588753876427, 253.54801113409587);
	}
}
